Name:           flashrom
Url:            http://flashrom.org/Flashrom
Summary:        A universal flash programming utility
License:        GPL-2.0
Group:          Development/Other
Version:        0.9.9
Release:        %mkrel 1
Source0:        http://download.flashrom.org/releases/%{name}-%{version}.tar.xz
Source23:       update-snapshots.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{_lib}ftdi1
BuildRequires:  %{_lib}ftdi-devel
BuildRequires:  pciutils-devel
BuildRequires:  zlib-devel
Requires:       dmidecode

%description
flashrom is a utility for reading, writing, verifying and erasing flash ROM
chips. It's often used to flash BIOS/EFI/coreboot/firmware images in-system
using a supported mainboard, but it also supports flashing of network
cards (NICs), SATA controller cards, and other external devices which can
program flash chips.

It supports a wide range of DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32, and
TSOP40 chips, which use various protocols such as LPC, FWH, parallel flash,
or SPI.

%prep 
%setup -q 

%build 
make %{?_smp_mflags} \
        CFLAGS="%{optflags}" \
        CONFIG_DEDIPROG=yes

        
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}/man8
install -m 0755 flashrom %{buildroot}/%{_sbindir}
install -m 0644 flashrom.8 %{buildroot}/%{_mandir}/man8

%files
%defattr(-,root,root)
%doc COPYING
%doc README
%{_sbindir}/flashrom
%{_mandir}/man8/flashrom.8.*

%clean
rm -rf %{buildroot}


%changelog
* Fri Dec 30 2016 adrianomorselli <adrianomorselli> 0.9.9-1uplos2016
- rebuild

* Mon Sep 19 2016 ghostbunny <ghostbunny at gmx dot de> 0.9.9-1pclos2016
- 0.9.9

* Tue Jul 07 2015 pp <pp> 0.9.8-1pclos2015
- update

* Mon Sep 30 2013 billybot <billybot>  0.9.7-1pclos2013
- import into pclos
